Bug 249338 - Playlist sorting by type does not work
Summary: Playlist sorting by type does not work
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Playlist (show other bugs)
Version: 2.6-git
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: 2.7
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-28 17:45 UTC by Ralph Moenchmeyer
Modified: 2013-01-22 19:04 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.8


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Moenchmeyer 2010-08-28 17:45:15 UTC
Version:           2.3.1 (using KDE 4.5.0) 
OS:                Linux

The playlist sorting by type does not work. To sort I tried to use the sort-icon at the top of the playlist area. 

(By the way: There seem to be more bugs associated with this "tool" when you use more than 2 sort criteria... and to me it is unclear when sorting criteria as the head informatione of an album are broken and when not ...) 

This bug is especially annoying when one has songs recorded in ogg and mp3 versions and when you want to eliminate one type of songs (e.g. all mp3 songs) from the playlist with a minimum of effort.

Sorting by type in a playlist was never a problem with amarok 1.4.x. 

When fixing this bug one should think carefully about whether one should break other criteria as the order of albums or whether you only resort within albums if this is the head sort criterion. I personally would prefer breaking any previous order as the user can set up the order of sort criteria according to his wishes.  
  

Reproducible: Always

Steps to Reproduce:
Add "type" to the layout of your playlist. Choose songs with different file types from the local resources and add them to the playlist. Then try to sort by "type". 

Actual Results:  
No changes in the playlist.

Expected Results:  
New order (alphanumeric order) according to the file type.

OS: Linux (x86_64) release 2.6.34-12-default
Compiler: gcc
Comment 1 Myriam Schweingruber 2010-08-28 18:03:41 UTC
Confirmed with current git, sorting by type doesn't work.
Comment 2 Myriam Schweingruber 2011-06-04 11:48:22 UTC
This is an automated message from the triager:

Amarok 2.4.1 has been released on May 8 already. Could you please upgrade and test if you can still reproduce this bug?

Without feedback within a month we will close this bug as resolved.

Thank you for your understanding.
Comment 3 Ralph Moenchmeyer 2011-06-05 18:17:17 UTC
(In reply to comment #2)
> This is an automated message from the triager:
> 
> Amarok 2.4.1 has been released on May 8 already. Could you please upgrade and
> test if you can still reproduce this bug?
> 
> Without feedback within a month we will close this bug as resolved.
> 
> Thank you for your understanding.

I regularly check whether this bug is resolved or not. Unfortunately, I must say that nothing changed over a long period of time. 

I now tested for version 2.4.1 of amarok and KDE 4.6.3 again. Sorting by type still does not work.
Comment 4 Myriam Schweingruber 2011-06-05 19:58:58 UTC
Thank you for the feedback.
Comment 5 Myriam Schweingruber 2012-11-29 11:16:57 UTC
Still valid in current git.
Comment 6 Ralf Engels 2013-01-22 19:04:14 UTC
Git commit 79a05d534ed8d1d5f5dd1b70c526d8d7a4976bc3 by Ralf Engels.
Committed on 22/01/2013 at 19:00.
Pushed by rengels into branch 'master'.

Playlist sorting by type does not work
FIXED-IN: 2.8

M  +1    -1    src/playlist/proxymodels/SortScheme.cpp

http://commits.kde.org/amarok/79a05d534ed8d1d5f5dd1b70c526d8d7a4976bc3